GET
Get Account Balance
Get balance information about a single trading account.
Requires access token scope: trade_view
Path Params
-
accountIdstring requiredThe ID of the account
Query Params
-
includeUnsettledInAvailablebooleanInclude unsettled trading balance in available balance. Withdrawals may be initiated from the unsettled available balance, but trading settlement must occur before the withdrawal can be processed. Default is false.
Responses
200
An array of account balances
Response Body
object
-
dataarray of objects requiredList of balance entries for a trading accountdata object
-
currencyIdstring uuid requiredID of the currency -
currencystring requiredCurrency symbol -
balancestring decimal requiredThe total balance in the account -
heldBalancestring decimal requiredThe total balance reserved for some purpose, e.g. a pending withdrawal. -
unsettledHeldBalancestring decimal requiredThe total unsettled balance reserved for some purpose, e.g. a pending withdrawal. -
tradableBalancestring decimal requiredThe total balance available for trading -
withdrawableBalancestring decimal requiredThe total balance available for withdrawal
-
401
Unauthorized - Invalid or missing authentication
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
403
Forbidden - Insufficient permissions
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
500
Internal Server Error
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-